use bevy_ecs::schedule::{IntoScheduleConfigs, Schedule, ScheduleLabel, SystemSet};

#[derive(Debug, Hash, PartialEq, Eq, Clone, SystemSet)]
pub enum SceneSystems {
    ExtractViews,
    Update,
    Render,
    Present,
}

#[derive(ScheduleLabel, Debug, Clone, Copy, PartialEq, Eq, Hash)]
pub struct SceneScedule;

impl SceneScedule {
    pub fn base_schedule() -> Schedule {
        use SceneSystems::*;

        let mut schedule = Schedule::new(Self);

        schedule.configure_sets((ExtractViews, Update, Render, Present).chain());

        schedule
    }
}
